FileSystem (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.FileSystem interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys
Interface FileSystem

All Superinterfaces:
  CIMSystem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  LocalFileSystem, NFSFileSystem, OpenVmsFileSystem, RemoteFileSystem, SMBFileSystem, SolarisFileSystem, UnixFileSystem, WindowsFileSystem

    public interface FileSystem

extends CIMSystem

Naming Rules:
  0="parent,mountPoint" 1="managedSystemName"
Persistable:
  true
Table Name:
  FILESYS
Display Name:
  mountPoint

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`long` | `getAvailableSpace()`
`long` | `getCapacity()`
`FileSystem` | `getInheritedFileSystem()`
`FileSystem` | `getMountedFileSystem()`
`java.lang.String` | `getMountPoint()`
`ComputerSystem` | `getParent()`
`java.lang.String` | `getType()` To be used by file systems to set a description For instance, in Windows, type can be set to as 'NTFS' or 'FAT' or 'FAT32'
`boolean` | `hasAvailableSpace()`
`boolean` | `hasCapacity()`
`boolean` | `hasInheritedFileSystem()`
`boolean` | `hasMountedFileSystem()`
`boolean` | `hasMountPoint()`
`boolean` | `hasParent()`
`boolean` | `hasType()`
`void` | `setAvailableSpace(long l)`
`void` | `setCapacity(long l)`
`void` | `setInheritedFileSystem(FileSystem x)`
`void` | `setMountedFileSystem(FileSystem x)`
`void` | `setMountPoint(java.lang.String s)`
`void` | `setParent(ComputerSystem parent)`
`void` | `setType(java.lang.String type)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getInheritedFileSystem

    FileSystem getInheritedFileSystem()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Virtualizes" reverse="false"

### setInheritedFileSystem

    void setInheritedFileSystem(FileSystem x)

### hasInheritedFileSystem

    boolean hasInheritedFileSystem()

### getParent

    ComputerSystem getParent()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(ComputerSystem parent)

### hasParent

    boolean hasParent()

### getMountPoint

    java.lang.String getMountPoint()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMountPoint

    void setMountPoint(java.lang.String s)

### hasMountPoint

    boolean hasMountPoint()

### getType

    java.lang.String getType()
                             throws AttributeNotSetException

  To be used by file systems to set a description For instance, in Windows, type can be set to as 'NTFS' or 'FAT' or 'FAT32'

  Throws:
    `AttributeNotSetException`

### setType

    void setType(java.lang.String type)

### hasType

    boolean hasType()

### getCapacity

    long getCapacity()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCapacity

    void setCapacity(long l)

### hasCapacity

    boolean hasCapacity()

### getAvailableSpace

    long getAvailableSpace()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAvailableSpace

    void setAvailableSpace(long l)

### hasAvailableSpace

    boolean hasAvailableSpace()

### getMountedFileSystem

    FileSystem getMountedFileSystem()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Realizes" reverse="false"

### setMountedFileSystem

    void setMountedFileSystem(FileSystem x)

### hasMountedFileSystem

    boolean hasMountedFileSystem()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD